POST
/api/v4/locations/reviews/respond/archive归档回复
归档现有的所有者回复,将其从为某次互动跟踪的有效回复中移除。
参数
请求体
| 名称 | 类型 | 必填 | 描述 |
|---|---|---|---|
| responseId | string | 必填 | ID of the response to archive (the `id` from an interaction's `responses` array). |
请求示例
可直接粘贴的请求体。请将占位 ID 和值替换为您自己的。
{ "responseId": "2090753a-ece6-4837-8336-8494ad308523"}响应
200Response archived. `data.archiveResponse.status` is `"true"` on success.
{ "data": { "archiveResponse": { "status": "true" } }}401Unauthenticated, missing or invalid API key.
归档此前针对某次互动发布的回复。归档只是在 Listings API 的本地缓存中软删除该回复,会将回复从为该互动跟踪的 responses 中移除,但不会从来源平台撤回该回复。已在 Google、Yelp 或 Facebook 上发布的回复仍会在相应平台上公开显示。
通过 按 ID 获取互动 或 列出互动,从某次互动的 responses[].id 中获取 responseId。
使用场景:清理已被替代的回复草稿
如果某条回复是误创建的,或在发布前已被替代,请将其归档,以保持该互动的 responses 列表整洁,并确保其 responded 标志在您的控制台中准确无误:
{ "responseId": "2090753a-ece6-4837-8336-8494ad308523"}要修改已在来源网站上公开显示的回复措辞,请改用 编辑回复,归档不会将其从发布平台移除。
Request
curl -X POST 'https://listingsapi.com/api/v4/locations/reviews/respond/archive' \ -H "Authorization: API $LISTINGSAPI_KEY" \ -H 'Content-Type: application/json' \ -d '{ "responseId": "2090753a-ece6-4837-8336-8494ad308523" }'